Bug 822175 - CVE-2012-2337 sudo: Multiple netmask values used in Host / Host_List configuration cause any host to be allowed access [fedora-all]
Summary: CVE-2012-2337 sudo: Multiple netmask values used in Host / Host_List configur...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 16
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-2337
TreeView+ depends on / blocked
 
Reported: 2012-05-16 14:47 UTC by Jan Lieskovsky
Modified: 2013-02-14 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:57:45 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-05-16 14:47:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=820677

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 2 Fedora Update System 2012-05-17 13:09:52 UTC
sudo-1.8.3p1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sudo-1.8.3p1-3.fc16

Comment 3 Fedora Update System 2012-05-17 13:11:15 UTC
sudo-1.8.3p1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sudo-1.8.3p1-7.fc17

Comment 4 Fedora Update System 2012-05-17 13:13:54 UTC
sudo-1.7.4p5-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sudo-1.7.4p5-5.fc15

Comment 5 Fedora Update System 2012-05-29 10:24:20 UTC
sudo-1.8.3p1-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-07-12 18:55:59 UTC
sudo-1.8.3p1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora End Of Life 2013-01-17 01:59:39 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-14 02:57:50 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.